:# This program may be used, executed, copied, modified and distributed
:# without royalty for the purpose of developing, using, marketing, or distributing.
:# required env variables - WAS_POLICY
@echo off
setlocal

:# Set up environment
cd /d "%~dp0"
call .\setupSamp %*
if not .%ERROR% == . goto END

:# Test if Both SEI Apps are installed
if not exist "%CONFIG_ROOT%\cells\%WAS_CELL%\applications\WSSampleClientSei.ear" goto NOTINSTALLED
if not exist "%CONFIG_ROOT%\cells\%WAS_CELL%\applications\WSSampleServicesSei.ear" goto NOTINSTALLED

:# If no policy arg, delete all
if not "%WAS_POLICY%" == "" goto PARMOK
set WAS_POLICY=*
:PARMOK

:# Remove the Policy attachment
call "%WAS_HOME%\bin\wsadmin" %PROFOPT% -lang jython -f "%OPER_DIR%\scripts\bindings.py" remove "%WAS_POLICY%" %WAS_NODE% %WAS_CELL% %WAS_SERVER% %*
goto END

:NOTINSTALLED
echo .
echo ERROR: Both SEI Sample Application EAR files are not installed
echo to %USER_INSTALL_ROOT% %WAS_CELL% %WAS_NODE%
goto END

:END