:# This program may be used, executed, copied, modified and distributed
:# without royalty for the purpose of developing, using, marketing, or distributing.
:# required env variables - WAS_POLICY ZIPFILE

:# Setup Environment
cd /d "%~dp0"
call .\setupSamp %*
if not .%ERROR% == . goto END

:# Test if Both SEI Apps are installed
if not exist "%CONFIG_ROOT%\cells\%WAS_CELL%\applications\WSSampleClientSei.ear" goto NOTINSTALLED
if not exist "%CONFIG_ROOT%\cells\%WAS_CELL%\applications\WSSampleServicesSei.ear" goto NOTINSTALLED

:# Extract the Policy files
if "%ZIPFILE%" == "" goto DOCALL
cd "%CONFIG_ROOT%\cells\%WAS_CELL%"
jar -xf "%OPER_DIR%\lib\%ZIPFILE%"

:DOCALL
:# Call bindings.py
call "%WAS_HOME%\bin\wsadmin" %PROFOPT% -lang jython -f "%OPER_DIR%\scripts\bindings.py" attach "%WAS_POLICY%" %WAS_NODE% %WAS_CELL% %WAS_SERVER% %*
goto END

:NOTINSTALLED
echo .
echo ERROR: Both SEI Sample Application EAR files are not installed
echo to %USER_INSTALL_ROOT% %WAS_CELL% %WAS_NODE%
echo Please install both WSSampleClientSei.ear and WSSampleServicesSei.ear
goto END

:END